Subject: Re: Testing autovacuum wraparound (including failsafe)

From: Daniel Gustafsson <[email-masked]>
Date: Fri, 28 Apr 2023 10:49:45 +0200

> On 28 Apr 2023, at 06:42, Tom Lane <[email-masked]> wrote:
> John Naylor <[email-masked]> writes:

>> If they're that slow, I'd worry more about generating 20GB of xact status
>> data. That's why the tests are disabled by default.
> 
> There is exactly zero chance that anyone will accept the introduction
> of such an expensive test into either check-world or the buildfarm
> sequence.

Even though the entire suite is disabled by default, shouldn't it also require
PG_TEST_EXTRA to be consistent with other off-by-default suites like for example
src/test/kerberos?

--
Daniel Gustafsson